BIT
A bit is a binary digit that can have one of two states, 1 or 0, much like a switch with on or off.
BYTE
A byte is a composition of 8 bits.  This alows 256 distinct combinations.  A kilobyte is 1,024 bytes (10 bits) and a megabyte is a kilobyte squared or 1,048,576 (20 bits).
BUTTON
Button is a mechanism on a mouse, or an area on the computer screen, used to request or initiate an action.
CLICK
Click means to press and release the button on a pointing device without moving the pointer off the target.  See also Double-Click.
CLOSE
Close removes a window from the screen completely.  The application is no longer active and will stop processing.
CPU
Central Processing Unit.  This is what executes the instructions and manipulates the data.  It is the real brain of the computer.  It is a small chip commonly referred to by it's numbers (386, 486, 586) or Intel's newest name - Pentium.
DESKTOP
Your desktop is the area that fills the entire screen and holds all of the objects that enable you to interact with and perform operations on the system.  Similar to the work area on your physical desk.
DOUBLE-CLICK
Double click means to press and release the button on a pointing device twice in rapid succession while the pointer is over the target area.  See also click.
DRAG
A drag operation is when you use a mouse or other pointing object to move an object.  Put the pointer on the object, press and hold button (1 or 2 depending on application), move pointer to new location.  Releasing button will "drop" the object.
DOS
DOS (Disk Operating System) was developed for the early Personal Computers.  It is the most common operating system in use today, although new systems are rapidly gaining.
GUI
GUI stands for Graphical User Interface (pronounced gooey).  Pictures or graphical images replace older menu systems.  A mouse or other pointing device is the easiest method to use a GUI system.  Clicking on pictures replace typing commands.
ICON
An icon is a graphical representation of a folder or application, consisting of an image and label.
MAXIMIZE BUTTON
The maximize button is the button located in the rightmost corner of the title bar of a window.  It changes the windows size.  Rotating from its smallest to largest.
MINIMIZE BUTTON
The minimize button is the small button located in the right-hand corner of the title bar of a window.  It removes the window from the desktop and turns it into a small icon on the bottom of the desktop.  This button acts as a minimize button or hide button depending on the system settings.
MOUSE
A mouse is a pointing device that you move on a flat surface to position a pointer on the screen.  It allows you to select a choice or function to be performed or to perform operations on the screen, such as dragging or drawing lines from one position to another.  Other pointing devices are trackballs and pen shaped devices.  All work on the same principle.
MULTI-TASKING
Multi Tasking is a mode of operation that provides for concurrent performance, or interleaved execution of two or more tasks.  It is either co-operative or pre-emptive.
Multi-Tasking (Co-operative)
Programs will share memory unless one program requires all of the computer time.  If it does, then other functions will stop.  The programs must cooperate with Windows and each other.  You can have several programs open at the same time.  The active program has control of the system and only when it relinquishes control will the other processes get control of the system.
Multi-Tasking (Pre-emptive)
Pre-emptive multi-tasking is when programs share processing time.  If you are running several programs, the system restricts any program to a set amount of time.  This permits TRUE use of multiple applications.  One individual application cannot control the system.
NATIVE PROGRAM
They are called native program or applications because they were designed specifically for the operating system it's running on.  Native programs will always perform better in this environment.
NETWORK
A network is a group of computers connected through either phone lines or cables.  They commonly have a server supporting these computers (client/server).  
OPERATING SYSTEM
The Operating System provides the interface between your programs and the hardware.  It manages the flow of information to and from the various parts of the computer.  It maintains files and directories; managers disks, printers, etc.; and optimizes the use of memory.  Some examples are DOS, Windows 95, OS/2, Windows NT, UNIX and System 7 for the Mac.
PARTITION
A division of space on your computer's hard drive.  Each is totally independent from the other.  Data stored in one partition cannot use space in another.  Each partition receives it's own drive letter.  They are handy for grouping types of data or software or for installing multiple operating systems on one computer.  Once established, they cannot be changed without reformatting your disk unless you have a special software program.
POINTER
The pointer is the symbol displayed on the screen that you move with a pointing device.  It is usually an arrow but can change shape as you move over hot spots on the screen.
POP-UP MENU
A pop up menu is displayed next to the icon associated with it.  It contains choices appropriate for a given icon.
RAM
Random Access Memory.  Measured in Megabytes.  Memory is the "container" that holds the program that is being executed.  The CPU can only access RAM.  Data goes from the disk drive into memory when needed. 
SCROLL BAR (Sliders)
A scroll bar is a part of a window that you use to see information that is not currently visible.  Scroll bars may be horizontal or vertical.  The scroll bar here in this glossary is vertical.  It can only be used with a pointing device.
TITLE BAR
The title bar is the area at the top of each window that can contains the window title and the title-bar controls.
WINDOW
The window is an area of the screen with visible boundaries within which information is displayed.  A window can be smaller than or the same size as the screen.  Windows can appear to overlay on the screen.
